import * as moment from 'moment';
import { BaseEntity, CreateDateColumn, UpdateDateColumn } from 'typeorm';

export abstract class BaseModel extends BaseEntity {
  @UpdateDateColumn({
    type: 'timestamp',
    default: moment().utcOffset(0).toDate(),
  })
  timestamp: Date;

  @CreateDateColumn({
    type: 'timestamp',
    default: moment().utcOffset(0).toDate(),
  })
  created_at: Date;

  @UpdateDateColumn({
    type: 'timestamp',
    default: moment().utcOffset(0).toDate(),
  })
  updated_at: Date;
}
